Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

python3-configobj-5.0.6-lp152.3.3 RPM for noarch

From OpenSuSE Leap 15.2 for noarch

Name: python3-configobj Distribution: openSUSE Leap 15.2
Version: 5.0.6 Vendor: openSUSE
Release: lp152.3.3 Build date: Sun Mar 1 11:12:06 2020
Group: Development/Languages/Python Build host: cloud122
Size: 347261 Source RPM: python-configobj-5.0.6-lp152.3.3.src.rpm
Packager: https://bugs.opensuse.org
Url: https://github.com/DiffSK/configobj
Summary: Config file reading, writing and validation
ConfigObj is a simple but powerful config file reader and writer: an ini
file round tripper. Its main feature is that it is very easy to use, with a
straightforward programmer's interface and a simple syntax for config files.
It has lots of other features though:

 * Nested sections (subsections), to any level
 * List values
 * Multiple line values
 * Full Unicode support
 * String interpolation (substitution)
 * Integrated with a powerful validation system
   - including automatic type checking/conversion
   - and allowing default values
   - repeated sections
 * All comments in the file are preserved
 * The order of keys/sections is preserved
 * Powerful ``unrepr`` mode for storing/retrieving Python data-types

Provides

Requires

License

BSD-3-Clause

Changelog

* Wed May 24 2017 toddrme2178@gmail.com
  - Implement single-spec version.
  - Fix source URL.
* Thu Sep 11 2014 toddrme2178@gmail.com
  - Update to version 5.0.6
    * Improves error messages in certain edge cases
* Thu Jul 24 2014 fcastelli@suse.com
  - Added runtime depedency: python-six
* Wed Jul 23 2014 fcastelli@suse.com
  - Update to version 5.0.5:
    * BUGFIX: error in writing out config files to disk with non-ascii
      characters
    * BUGFIX: correcting that the code path fixed in 5.0.3 didn’t cover
      reading in config files
    * BUGFIX: not handling unicode encoding well, especially with respect to
      writing out files
    * Specific error message for installing version this version on Python
      versions older than 2.5
    * Documentation corrections
    * BUGFIX: Fixed regression on python 2.x where passing an encoding parameter
      did not convert a bytestring config file (which is the most common) to
      unicode. Added unit tests for this and related cases
    * BUGFIX: A particular error message would fail to display with a type error
      on python 2.6 only
    * Python 3 single-source compatibility at the cost of a more restrictive set
      of versions: 2.6, 2.7, 3.2, 3.3 (otherwise unchanged)
* Tue May 29 2012 cfarrell@suse.com
  - license update: BSD-3-Clause
    Refers only to the license available at
    http://www.voidspace.org.uk/python/license.shtml (which is BSD-3-Clause)
* Fri May 25 2012 toddrme2178@gmail.com
  - Spec file cleanups
* Sun Feb 05 2012 dimstar@opensuse.org
  - Really make the obsoletes sane: The package was called
    python-configobj-docs before, so that's what we need to obsolete
    (not -doc).
  - The Obsoletes tag is for <= %{version}, as the package existed in
    version 4.7.2, which is also when it was merged back. Obsoleting
    only < 4.7.2 would cause conflicts when installing the newly
    merged package.
* Tue Jan 24 2012 bwiedemann@suse.com
  - fix Obsoletes
* Fri Dec 09 2011 saschpe@suse.de
  - Spec file cleanup:
    * Use upstream tarball
    * Obsoleted empty doc package
    * Fix SLE-11 build
    * Use upstream description
* Thu Dec 08 2011 coolo@suse.com
  - fix license to be in spdx.org format

Files

/usr/lib/python3.6/site-packages/__pycache__/_version.cpython-36.opt-1.pyc
/usr/lib/python3.6/site-packages/__pycache__/_version.cpython-36.pyc
/usr/lib/python3.6/site-packages/__pycache__/configobj.cpython-36.opt-1.pyc
/usr/lib/python3.6/site-packages/__pycache__/configobj.cpython-36.pyc
/usr/lib/python3.6/site-packages/__pycache__/validate.cpython-36.opt-1.pyc
/usr/lib/python3.6/site-packages/__pycache__/validate.cpython-36.pyc
/usr/lib/python3.6/site-packages/_version.py
/usr/lib/python3.6/site-packages/configobj-5.0.6-py3.6.egg-info
/usr/lib/python3.6/site-packages/configobj.py
/usr/lib/python3.6/site-packages/validate.py


Generated by rpm2html 1.8.1

Fabrice Bellet, Mon May 9 12:54:53 2022